SDL_PushEvent(3)

NAME
SDL_PushEvent - Add an event to the event queue.

SYNOPSIS
#include <SDL3/SDL_events.h>

bool SDL_PushEvent(SDL_Event *event);

DESCRIPTION
The event queue can actually be used as a two way communication channel. Not only can events be read from the queue, but the user can also push their own events onto it. event is a pointer to the event structure you wish to push onto the queue. The event is copied into the queue, and the caller may dispose of the memory pointed to after SDL_PushEvent() returns.

Note: Pushing device input events onto the queue doesn't modify the state of the device within SDL.

Note: Events pushed onto the queue with SDL_PushEvent() get passed through the event filter but events added with SDL_PeepEvents() do not.

For pushing application-specific events, please use SDL_RegisterEvents() to get an event type that does not conflict with other code that also wants its own custom event types.

FUNCTION PARAMETERS

event
    the SDL_Event to be added to the queue.

RETURN VALUE
for more information. A common reason for error is the event queue being full.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_PeepEvents(3), SDL_PollEvent(3), SDL_RegisterEvents(3)